> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voicelibrary.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Standard

# Standard TTS

`POST https://api.myvocal.ai/sound_clone/api/v1/tts`

## Request body

* `voiceId` (required)
* `text` (required)
* `title` (optional)
* `modelId` (optional)
* `voiceSettings` (optional)
* `language`
  * Required for default/non-V3 path.
  * Optional for `myvocal_v3`.

## Examples

### V3 explicit language

```bash theme={null}
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/tts' \
--header 'accessKey: <your_api_key>' \
--header 'Content-Type: application/json' \
--data '{
  "voiceId": "<voice_id>",
  "title": "tts-v3-explicit-language",
  "text": "[happy] Hola, this is a short test.",
  "language": "en",
  "modelId": "myvocal_v3",
  "voiceSettings": { "stability": 0.5 }
}' \
--output output-v3-explicit.mp3
```

### V3 auto-detect (omit language)

```bash theme={null}
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/tts' \
--header 'accessKey: <your_api_key>' \
--header 'Content-Type: application/json' \
--data '{
  "voiceId": "<voice_id>",
  "title": "tts-v3-auto-detect",
  "text": "[happy] Hola, este es un test para auto detect.",
  "modelId": "myvocal_v3",
  "voiceSettings": { "stability": 0.5 }
}' \
--output output-v3-auto.mp3
```

## Success response

`Content-Type: audio/mpeg`
